# Get

Launch stage: GA

`GET /api/2.1/unity-catalog/bindings/{securable_type}/{securable_full_name}`

Gets workspace bindings of the securable.
 The caller must be a metastore admin or an owner of the securable.

 NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.

 PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Path parameters

- `securable_type` (string, optional)
  The type of the securable to bind to a workspace (catalog, storage_credential, credential, or external_location).
- `securable_full_name` (string, optional)
  The name of the securable.

## Query parameters

- `max_results` (int32, optional)
  Maximum number of workspace bindings to return.
   - When set to 0, the page length is set to a server configured value (recommended);
   - When set to a value greater than 0, the page length is the minimum of this value and a server configured value;
   - When set to a value less than 0, an invalid parameter error is returned;
   - If not set, all the workspace bindings are returned (not recommended).
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

- `bindings` (array of object, optional)
  List of workspace bindings
  - `workspace_id` (int64, optional)
    Required
  - `binding_type` (string, optional)
    One of READ_WRITE/READ_ONLY. Default is READ_WRITE.
    Possible values: `BINDING_TYPE_UNSPECIFIED`, `BINDING_TYPE_READ_WRITE`, `BINDING_TYPE_READ_ONLY`
- `next_page_token` (string, optional)
  Opaque token to retrieve the next page of results. Absent if there are no more pages.
   __page_token__ should be set to this value for the next request (for the next page of results).

## Response

```json
{
  "bindings": [
    {
      "workspace_id": 0,
      "binding_type": "string"
    }
  ],
  "next_page_token": "string"
}
```

